using UnityEngine; 

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Kevlar Plate (BP+)",
                    DescriptionOverride = "Bulletproof Fabric for most handguns.",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Item.png");
                        Instance.GetComponent<PhysicalBehaviour>().Properties.BulletSpeedAbsorptionPower = 4.5f;
			
    		       Instance.FixColliders();
						
                    }
                }
            );
          ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "Kevlar Plate 2 (BP+)",
                    DescriptionOverride = "Bulletproof Fabric for rifle calibers.",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Item.png");
			Instance.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Insulator");
                        Instance.GetComponent<PhysicalBehaviour>().Properties.BulletSpeedAbsorptionPower = 8.5f;
    			 Instance.FixColliders();
						
                    }
                }
            );

      ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Baseball Bat"),
                    NameOverride = "Kevlar Plate 3 (BP+)",
                    DescriptionOverride = "Bulletproof Fabric for most projectiles",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Item.png");
			Instance.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Insulator");
                        Instance.GetComponent<PhysicalBehaviour>().Properties.BulletSpeedAbsorptionPower = 75.5f;
    			 Instance.FixColliders();
						
                    }
                }
            );

         ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Baseball Bat"),
                    NameOverride = "Bulletproof Wood (BP+)",
                    DescriptionOverride = "um. bulletproof wood :D",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbWo.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ItemWo.png");
			Instance.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Wood");
                        Instance.GetComponent<PhysicalBehaviour>().Properties.BulletSpeedAbsorptionPower = 75.5f;
    			 Instance.FixColliders();
						
                    }
                }
            );

         ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "Bulletproof Rod (BP+)",
                    DescriptionOverride = "Hardened Rod; capable of stopping rifle calibers.",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbRo.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ItemRo.png");
			Instance.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                        Instance.GetComponent<PhysicalBehaviour>().Properties.BulletSpeedAbsorptionPower = 8.5f;
    			 Instance.FixColliders();
						
                    }
                }
            );

  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),
                    NameOverride = "Impenetrable Rod (BP+)",
                    DescriptionOverride = "Extremely bulletproof to virtually all projectiles.",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbRo.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ItemRo.png");
			Instance.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                        Instance.GetComponent<PhysicalBehaviour>().Properties.BulletSpeedAbsorptionPower = 9999f;
    			 Instance.FixColliders();
						
                    }
                }
            );


 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Ballistic Glass (BP+)",
                    DescriptionOverride = "Ballistic Glass; Rated for Handgun calibers.",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbGl.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ItemGl.png");
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 2.2f;
                        Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 2.2f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 2.2f;
			Instance.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Glass");
                        Instance.GetComponent<PhysicalBehaviour>().Properties.BulletSpeedAbsorptionPower = 4.5f;
    			 Instance.FixColliders();
						
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Tempered Glass Pane"),
                    NameOverride = "Breakable Ballistic Glass (BP+)",
                    DescriptionOverride = "Breakable Ballistic Glass; Rated for Handgun calibers.",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("ThumbGl.png"),
                    AfterSpawn = (Instance) =>
                    {
			Instance.GetComponent<PhysicalBehaviour>().InitialMass = 2.2f;
                        Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 2.2f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 2.2f;
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ItemGl.png");
    		        Instance.GetComponent<PhysicalBehaviour>().Properties.BulletSpeedAbsorptionPower = 4.5f;
			Instance.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Tempered Glass");
    			 Instance.FixColliders();
						
                    }
                }
            );



			
        }
    }

}
